For the complete documentation index, see llms.txt. This page is also available as Markdown.

Document Sets (Core)

Endpoints to create, update, and read document sets and files.

Deprecated

Get document set

get

This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, use /api/documentsets/{documentSetRef} instead

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired

Reference to the entity you want to get

Responses
200

Documents were found. The results are in the body.

application/json

DocumentSet

createdstring · date-timeRequired

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
facilityRefstringOptional

connected facility

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
idstringRequired

Unique identifier for the document set

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
versionintegerRequired

Version number for optimistic locking

Example: 1
get/api/documentSet/{documentSetRef}
GET /api/documentSet/{documentSetRef} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2026-06-17T12:00:00.000Z",
  "documents": [
    {
      "customAttributes": {},
      "documentCategory": "EXTERNAL",
      "documentType": "PDF",
      "id": "text",
      "name": "text",
      "operations": [
        "PRINT"
      ],
      "path": "text",
      "priority": 1,
      "status": "AVAILABLE"
    }
  ],
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "version": 1
}
Deprecated

Create document

post

This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, use /api/documentsets/{documentSetRef}/documents instead

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired

Reference to the documentSet you want to add a file to

Body

ExternalPrintableDocumentForCreation

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

prioritynumberOptional
statusstring · enumOptionalPossible values:
typestring · enumRequiredPossible values:
Responses
201

Document was found. The results are in the body.

application/json

PrintableDocument

customAttributesobjectOptional

Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

documentCategorystring · enumRequired

DocumentCategory

Possible values:
documentTypestring · enumRequired

DocumentType

Possible values:
idstringRequired
namestringOptional
pathstringOptional
prioritynumberOptional
statusstring · enumRequired

DocumentStatus

Possible values:
post/api/documentSet/{documentSetRef}/documents
POST /api/documentSet/{documentSetRef}/documents HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1124

{
  "customAttributes": {},
  "file": {
    "content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
    "name": "example.pdf"
  },
  "operations": [
    "PRINT"
  ],
  "priority": 1,
  "status": "AVAILABLE",
  "type": "PDF"
}
{
  "customAttributes": {},
  "documentCategory": "EXTERNAL",
  "documentType": "PDF",
  "id": "text",
  "name": "text",
  "operations": [
    "PRINT"
  ],
  "path": "text",
  "priority": 1,
  "status": "AVAILABLE"
}
Deprecated

Update document

patch

This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, use /api/documentsets/{documentSetRef}/documents/{documentRef} instead

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired

Reference to the documentSet you want to update

documentRefstringRequired

Reference to the single document you want to update

Body

PrintableDocumentForUpdate

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

prioritynumberOptional
statusstring · enumOptionalPossible values:
versionnumberRequired
Responses
200

Document was found. The results are in the body.

application/json

PrintableDocument

customAttributesobjectOptional

Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

documentCategorystring · enumRequired

DocumentCategory

Possible values:
documentTypestring · enumRequired

DocumentType

Possible values:
idstringRequired
namestringOptional
pathstringOptional
prioritynumberOptional
statusstring · enumRequired

DocumentStatus

Possible values:
patch/api/documentSet/{documentSetRef}/documents/{documentRef}
PATCH /api/documentSet/{documentSetRef}/documents/{documentRef} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92

{
  "customAttributes": {},
  "operations": [
    "PRINT"
  ],
  "priority": 1,
  "status": "AVAILABLE",
  "version": 1
}
{
  "customAttributes": {},
  "documentCategory": "EXTERNAL",
  "documentType": "PDF",
  "id": "text",
  "name": "text",
  "operations": [
    "PRINT"
  ],
  "path": "text",
  "priority": 1,
  "status": "AVAILABLE"
}
Deprecated

Get file

get

This part of the API is deprecated. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired

Reference to the documentSet you want to download a file from

documentRefstringRequired

Reference to the single document you want to download

Responses
200

The document as a stream

No content

get/api/documentSet/{documentSetRef}/documents/{documentRef}/file
GET /api/documentSet/{documentSetRef}/documents/{documentRef}/file HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Deprecated

Update file

put

This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, use /api/documentsets/{documentSetRef}/documents/{documentRef}/file instead

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired

Reference to the documentSet you want to update

documentRefstringRequired

Reference to the single document you want to update

Body

ExternalDocumentContentForUpdate

documentSetVersionnumberRequired

Version of documentSet to which this document belongs.

Example: 2
Responses
200

Changed Document

application/json

PrintableDocument

customAttributesobjectOptional

Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

documentCategorystring · enumRequired

DocumentCategory

Possible values:
documentTypestring · enumRequired

DocumentType

Possible values:
idstringRequired
namestringOptional
pathstringOptional
prioritynumberOptional
statusstring · enumRequired

DocumentStatus

Possible values:
put/api/documentSet/{documentSetRef}/documents/{documentRef}/file
PUT /api/documentSet/{documentSetRef}/documents/{documentRef}/file HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1055

{
  "documentSetVersion": 2,
  "file": {
    "content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
    "name": "example.pdf"
  }
}
{
  "customAttributes": {},
  "documentCategory": "EXTERNAL",
  "documentType": "PDF",
  "id": "text",
  "name": "text",
  "operations": [
    "PRINT"
  ],
  "path": "text",
  "priority": 1,
  "status": "AVAILABLE"
}

Get document set

get

Get document set for given id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired
Responses
200

Documents were found. The results are in the body.

application/json

DocumentSet

createdstring · date-timeRequired

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
facilityRefstringOptional

connected facility

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
idstringRequired

Unique identifier for the document set

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
versionintegerRequired

Version number for optimistic locking

Example: 1
get/api/documentsets/{documentSetRef}
GET /api/documentsets/{documentSetRef} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2026-06-17T12:00:00.000Z",
  "documents": [
    {
      "customAttributes": {},
      "documentCategory": "EXTERNAL",
      "documentType": "PDF",
      "id": "text",
      "name": "text",
      "operations": [
        "PRINT"
      ],
      "path": "text",
      "priority": 1,
      "status": "AVAILABLE"
    }
  ],
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "version": 1
}

Create document

post

add new document to document set

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired
Body

ExternalPrintableDocumentForCreation

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

prioritynumberOptional
statusstring · enumOptionalPossible values:
typestring · enumRequiredPossible values:
Responses
201

Document was found. The results are in the body.

application/json

PrintableDocument

customAttributesobjectOptional

Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

documentCategorystring · enumRequired

DocumentCategory

Possible values:
documentTypestring · enumRequired

DocumentType

Possible values:
idstringRequired
namestringOptional
pathstringOptional
prioritynumberOptional
statusstring · enumRequired

DocumentStatus

Possible values:
post/api/documentsets/{documentSetRef}/documents
POST /api/documentsets/{documentSetRef}/documents HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1124

{
  "customAttributes": {},
  "file": {
    "content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
    "name": "example.pdf"
  },
  "operations": [
    "PRINT"
  ],
  "priority": 1,
  "status": "AVAILABLE",
  "type": "PDF"
}
{
  "customAttributes": {},
  "documentCategory": "EXTERNAL",
  "documentType": "PDF",
  "id": "text",
  "name": "text",
  "operations": [
    "PRINT"
  ],
  "path": "text",
  "priority": 1,
  "status": "AVAILABLE"
}

Update document

patch

Update document of document set

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired
documentRefstringRequired
Body

PrintableDocumentForUpdate

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

prioritynumberOptional
statusstring · enumOptionalPossible values:
versionnumberRequired
Responses
200

Document was found. The results are in the body.

application/json

PrintableDocument

customAttributesobjectOptional

Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

documentCategorystring · enumRequired

DocumentCategory

Possible values:
documentTypestring · enumRequired

DocumentType

Possible values:
idstringRequired
namestringOptional
pathstringOptional
prioritynumberOptional
statusstring · enumRequired

DocumentStatus

Possible values:
patch/api/documentsets/{documentSetRef}/documents/{documentRef}
PATCH /api/documentsets/{documentSetRef}/documents/{documentRef} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92

{
  "customAttributes": {},
  "operations": [
    "PRINT"
  ],
  "priority": 1,
  "status": "AVAILABLE",
  "version": 1
}
{
  "customAttributes": {},
  "documentCategory": "EXTERNAL",
  "documentType": "PDF",
  "id": "text",
  "name": "text",
  "operations": [
    "PRINT"
  ],
  "path": "text",
  "priority": 1,
  "status": "AVAILABLE"
}

Get file

get

Download file of document set

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired
documentRefstringRequired
Responses
200

The document as a stream

application/json
stringOptional
get/api/documentsets/{documentSetRef}/documents/{documentRef}/file
GET /api/documentsets/{documentSetRef}/documents/{documentRef}/file HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
text

Update file

put

Add document content to document set

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentSetRefstringRequired
documentRefstringRequired
Body

ExternalDocumentContentForUpdate

documentSetVersionnumberRequired

Version of documentSet to which this document belongs.

Example: 2
Responses
200

Changed Document

application/json

PrintableDocument

customAttributesobjectOptional

Attributes that can be added to the document. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

documentCategorystring · enumRequired

DocumentCategory

Possible values:
documentTypestring · enumRequired

DocumentType

Possible values:
idstringRequired
namestringOptional
pathstringOptional
prioritynumberOptional
statusstring · enumRequired

DocumentStatus

Possible values:
put/api/documentsets/{documentSetRef}/documents/{documentRef}/file
PUT /api/documentsets/{documentSetRef}/documents/{documentRef}/file HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1055

{
  "documentSetVersion": 2,
  "file": {
    "content": "JVBERi0xLjEKJcKlwrHDqwoKMSAwIG9iagogIDw8IC9UeXBlIC9DYXRhbG9nCiAgICAgL1BhZ2VzIDIgMCBSCiAgPj4KZW5kb2JqCgoyIDAgb2JqCiAgPDwgL1R5cGUgL1BhZ2VzCiAgICAgL0tpZHMgWzMgMCBSXQogICAgIC9Db3VudCAxCiAgICAgL01lZGlhQm94IFswIDAgMzAwIDE0NF0KICA+PgplbmRvYmoKCjMgMCBvYmoKICA8PCAgL1R5cGUgL1BhZ2UKICAgICAgL1BhcmVudCAyIDAgUgogICAgICAvUmVzb3VyY2VzCiAgICAgICA8PCAvRm9udAogICAgICAgICAgIDw8IC9GMQogICAgICAgICAgICAgICA8PCAvVHlwZSAvRm9udAogICAgICAgICAgICAgICAgICAvU3VidHlwZSAvVHlwZTEKICAgICAgICAgICAgICAgICAgL0Jhc2VGb250IC9UaW1lcy1Sb21hbgogICAgICAgICAgICAgICA+PgogICAgICAgICAgID4+CiAgICAgICA+PgogICAgICAvQ29udGVudHMgNCAwIFIKICA+PgplbmRvYmoKCjQgMCBvYmoKICA8PCAvTGVuZ3RoIDU1ID4+CnN0cmVhbQogIEJUCiAgICAvRjEgMTggVGYKICAgIDAgMCBUZAogICAgKEhlbGxvIFdvcmxkKSBUagogIEVUCmVuZHN0cmVhbQplbmRvYmoKCnhyZWYKMCA1CjAwMDAwMDAwMDAgNjU1MzUgZiAKMDAwMDAwMDAxOCAwMDAwMCBuIAowMDAwMDAwMDc3IDAwMDAwIG4gCjAwMDAwMDAxNzggMDAwMDAgbiAKMDAwMDAwMDQ1NyAwMDAwMCBuIAp0cmFpbGVyCiAgPDwgIC9Sb290IDEgMCBSCiAgICAgIC9TaXplIDUKICA+PgpzdGFydHhyZWYKNTY1CiUlRU9GCg==",
    "name": "example.pdf"
  }
}
{
  "customAttributes": {},
  "documentCategory": "EXTERNAL",
  "documentType": "PDF",
  "id": "text",
  "name": "text",
  "operations": [
    "PRINT"
  ],
  "path": "text",
  "priority": 1,
  "status": "AVAILABLE"
}

Last updated

Was this helpful?